Skip to main content
`Ctrl`+`K`

# PCSPAISetMaxNew

set maximum number of new nonzero candidates per step in the `PCSPAI` preconditioner

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCSPAISetMaxNew(PC pc, PetscInt maxnew1)

## Input Parameters

- pc - the preconditioner

- maxnew1 - maximum number (default 5)

## See Also

KSP: Linear System Solvers, `PCSPAI`, `PCSetType()`, `PCSPAISetNBSteps()`

## Level

intermediate

## Location

src/ksp/pc/impls/spai/ispai.c

## Implementations

PCSPAISetMaxNew_SPAI() in src/ksp/pc/impls/spai/ispai.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages